{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   

<link href="/static/dash/css/jquery.dataTables.min.css" rel="stylesheet" media="screen">

<script src="/static/dash/js/jquery-3.5.1.js"></script>

<script type="text/javascript">$(document).ready(function() {
    $('#example').DataTable( {
        "scrollX": true
    } );
} );</script>

<div class="page-wrapper">
    <div class="container-fluid">


            <h1>Trial requests</h1>
            <p>Request for free test from system visitors.</p><br>
            <h4 style="color:indigo;">Total of request today : ###</h4>

            <div>
                <a href="" class="btn btn-warning" data-toggle="modal" data-target="#exampleModal"><i class="m-r-10 mdi mdi-timer"></i> New Trial</a>
<!-- Modal -->
<form class="form-horizontal form-material" method="POST">
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel"><i class="m-r-10 mdi mdi-timer"></i> Create new Trial !</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            
                {{ form.csrf_token }}

                <div class="form-group">
                    <label class="col-md-12">Email : </label>
                    <div class="col-md-12">
                        {{ form.email_rec(rows=3, class_="form-control form-control-line")}}
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-12">Country : </label>
                    <div class="col-md-12">
                        {{ form.country_selector(rows=3, class_="form-control form-control-line")}}
                    </div>
                </div>

             
                <div class="form-group">
                    <label class="col-md-12">Device : </label>
                    <div class="col-md-12">
                        {{ form.device_type(rows=3, class_="form-control form-control-line")}}
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-12">Assigne package : </label>
                    <div class="col-md-12">
                        <select class="form-control form-control-line" id="pack_id" name="pack_id" rows="3">
                            {% for pack in data.packages %}
                            <option value="{{pack.name}}">{{pack.name}}</option>
                            {% endfor %}
                        </select>
                    </div>
                </div>
                <hr>
                <h4>Api Status : </h4>
                <hr>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-warning" name="submit"><i class="m-r-10 mdi mdi-timer"></i> Create</button>  
                  
                  </div>
        </div>
      </div>
    </form>
    </div>
  </div>
            </div>
            <center>
                {% if error %}
                <p class=error><strong>Error:</strong> {{ error }}
                {% endif %}
                <br>
                {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                <div class="alert alert-{{ messages.0.0 }}" role="alert">
                {% for category, message in messages %}
                {{ message }} </br>
                {% endfor %}
                *</div>
                {% endif %}
                {% endwith %}
                </center>
                <br>
            
                <table id="example" class="display" style="width:100%">
                    <thead>
                        <tr>
                            <th>Country</th>
                            <th>Email</th>
                            <th>Device</th>
                            <th>Request at</th>
                            <th>Setting</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for trial in data.trials %}
                        <tr>
                            <td>{{trial.country_selector}}</td>
                            <td>{{trial.email_rec}}</td>
                            <td>{{trial.device_type}}</td>
                            <td>{{trial.trial_time.strftime('%A,%d,%Y || %H:%M')}}</td>
                            <td>
                                <a href="{{ url_for('dash.deltrial', id=trial.id) }}" class="m-r-10 mdi mdi-delete label label-danger" title="Delete trial" onclick="return confirm('Are You Sure For Delete?')" ></a>
                                <a href="" class="m-r-10 mdi mdi-stop-circle label label-warning" title="Disable connection"></a>
                            </td>
                        </tr>
                        {% endfor %}
                   
           
                    </tfoot>
                </table>




    </div>
</div>

{% endblock content %}